Skip to main content
PATCH
/
open-api
/
v1.1
/
memberships
/
tiers
/
{id}
Update Tier
curl --request PATCH \
  --url https://api.fourthwall.com/open-api/v1.1/memberships/tiers/{id} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "<string>",
  "description": "<string>",
  "imageResource": {
    "type": "New",
    "id": 123
  },
  "monthlyAmounts": {
    "usd": 75000050,
    "eur": 123,
    "gbp": 123,
    "cad": 123,
    "aud": 123,
    "nzd": 123,
    "sek": 123,
    "nok": 123,
    "dkk": 123,
    "pln": 123,
    "jpy": 123,
    "myr": 123,
    "sgd": 123,
    "mxn": 123
  },
  "pricesAutomaticallyConverted": true,
  "askForShippingAddress": true,
  "discount": {
    "percentOff": {
      "monthly": 50,
      "annual": 50
    },
    "timeLimited": {
      "startDate": "2023-11-07T05:31:56Z",
      "endDate": "2023-11-07T05:31:56Z"
    }
  },
  "freeTrial": true
}
'
{
  "parameters": "{ \"post_id\": [ \"is missing\" ] }",
  "body": "{ \"discount\": { \"percentOff\": [ \"is missing\" ] } }"
}
OAuth scope: memberships_writeAPI keys have full access to this endpoint.

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Headers

X-ShopId
string

Path Parameters

id
integer
required

Body

application/json
name
string
required
Required string length: 1 - 40
description
string
required
Maximum string length: 600
imageResource
object
required
monthlyAmounts
object
required
pricesAutomaticallyConverted
boolean
askForShippingAddress
boolean
discount
object
freeTrial
boolean

Response